package com.lzmispt.data.resource.service.monitor.impl;

package .tmp;

import com.lzmispt.core.entity.vo.user.InterfaceUserVO;
import com.lzmispt.data.center.entity.vo.dcinterface.GetInterfaceInfoVO;
import com.lzmispt.data.resource.client.DataInterfaceClient;
import com.lzmispt.data.resource.service.monitor.impl.PlatDataQueryManager;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import org.springframework.util.ObjectUtils;

@Service
public class CollectionDataQueryImpl extends PlatDataQueryManager {
  @Autowired
  private DataInterfaceClient interfaceClient;
  
  public Integer getCollectionInterfaceCount(List<Long> entityIds, String tokenId) {
    if (CollectionUtils.isEmpty(entityIds))
      return (Integer)this.interfaceClient.getInterfaceCount("Collection", tokenId).getObj(); 
    return (Integer)this.interfaceClient.getInterfaceCountByEntityIds(entityIds, "Collection", tokenId).getObj();
  }
  
  public String getDefaultCode() {
    return "Collection";
  }
  
  public String getInterfaceName(Integer tablePlatCode, Long interfaceId) {
    ResultEntity<GetInterfaceInfoVO> dataInterfaceInfo = this.interfaceClient.getInterfaceInfoById(interfaceId, "Collection", "0");
    GetInterfaceInfoVO interfaceInfo = (GetInterfaceInfoVO)dataInterfaceInfo.getObj();
    if (!ObjectUtils.isEmpty(interfaceInfo))
      return interfaceInfo.getInterfaceName(); 
    return "";
  }
  
  public String getInvokeUserName(Long userId) {
    try {
      ResultEntity<InterfaceUserVO> interfaceUserById = this.interfaceClient.getInterfaceUserById("Collection", "0", userId);
      if (ObjectUtils.isEmpty(userId))
        return ""; 
      InterfaceUserVO interfaceUser = (InterfaceUserVO)interfaceUserById.getObj();
      if (!ObjectUtils.isEmpty(interfaceUser))
        return interfaceUser.getUserName(); 
    } catch (Exception e) {
      return "";
    } 
    return "";
  }
}
